Subject: Re: bug#5675: 23.1.50; Core dump

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Mar 2010 02:46:54 -0500

> From: Neal Sidhwaney <[email-masked]>
> Date: Wed,  3 Mar 2010 09:37:06 -0800 (PST)
> Cc: 
> 
> I was running Emacs over an NX Client session (essentially a compressed X11.app connecion) and when I came back the next morning, it had core dumped.  
> 
> [09:33:18][0][~]
> nealsid@conundrum21 $ gdb /usr/local/bin/emacs core
> GNU gdb (GDB) 7.0-gg11
> Copyright (C) 2009 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> Type "show copying" and "show warranty" for licensing/warranty details.
> This GDB was configured as "x86_64-linux".
> 
> <http://wiki/Main/GnuDebugger  FAQ: http://go/gdb  Email: gdb-team>
> Hey, I'm GDB 7.0.  Check me out!  http://wiki/Main/Gdb70x
> 
> Reading symbols from /usr/local/bin/emacs...done.
> 
> warning: Can't read pathname for load map: Input/output error.
> Core was generated by `emacs'.
> Program terminated with signal 11, Segmentation fault.
> #0  0x00007f2e0195d527 in kill () from /lib/libc.so.6
> (gdb) bt full
> #0  0x00007f2e0195d527 in kill () from /lib/libc.so.6
> No symbol table info available.
> #1  0x00000000004cee0f in fatal_error_signal (sig=<value optimized out>) at emacs.c:403
> No locals.
> #2  <signal handler called>
> No symbol table info available.
> #3  0x0000000000408063 in build_frame_matrix (f=0x2d432d0, force_p=0, inhibit_hairy_id_p=0) at dispnew.c:2695
>         i = 0
> #4  update_frame (f=0x2d432d0, force_p=0, inhibit_hairy_id_p=0) at dispnew.c:3950

Thank you for your report.

We would need a backtrace from a non-optimized build, to be able to
make sense of this crash.

Btw, you are using quite an old development version, more than 8
months old.  Could you perhaps try running the latest one, or the
pretest available from alpha.gnu.org?